## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASESegment

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  SybaseASECatalogSegment, SybaseASESegmentImpl

    public interface SybaseASESegment

extends SQLObject

A representation of the model object 'Sybase ASE Segment'.

The following features are supported:

- `Catalog`
- `Device Names`
- `Thresholds`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASESegment()`

Method Summary
`SybaseASECatalog` `getCatalog()` Returns the value of the 'Catalog' container reference.
`org.eclipse.emf.common.util.EList` `getDeviceNames()` Returns the value of the 'Device Names' attribute list.
`org.eclipse.emf.common.util.EList` `getThresholds()` Returns the value of the 'Thresholds' reference list.
`void` `setCatalog(SybaseASECatalog value)` Sets the value of the '`Catalog`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCatalog

    SybaseASECatalog getCatalog()

  Returns the value of the 'Catalog' container reference. It is bidirectional and its opposite is '`Segments`'.

  If the meaning of the 'Catalog' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Catalog' container reference.
  See Also:
    `setCatalog(SybaseASECatalog)`, `SybaseasesqlmodelPackage.getSybaseASESegment_Catalog()`, `SybaseASECatalog.getSegments()`

### setCatalog

    void setCatalog(SybaseASECatalog value)

  Sets the value of the '`Catalog`' container reference.

  Parameters:
    `value` - the new value of the 'Catalog' container reference.
  See Also:
    `getCatalog()`

### getDeviceNames

    org.eclipse.emf.common.util.EList getDeviceNames()

  Returns the value of the 'Device Names' attribute list. The list contents are of type `String`.

  If the meaning of the 'Device Names' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Device Names' attribute list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASESegment_DeviceNames()`

### getThresholds

    org.eclipse.emf.common.util.EList getThresholds()

  Returns the value of the 'Thresholds' reference list. The list contents are of type `SegmentThreshold`.

  If the meaning of the 'Thresholds' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Thresholds' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASESegment_Thresholds()`